Questão O que significa "mas não é instalável"?


Percebi quando experimento alguns pacotes, às vezes recebo esse erro:

<pkg_name> Depends: <an_other_pkg> (>= version X.X.X) but it is not installable.

O que significa "mas não é instalável". ?


2
2018-06-26 12:02


origem




Respostas:


<pkg> Depends: <an_other_pkg> (>= version X.X.X) but it is not installable

Este pacote depende de outra versão do pacote X.X.X que não é instalável porque o pacote necessário não está mais disponível nos repositórios. Portanto, não é instalável.


2
2018-06-26 12:06



Isso significa que tudo o que tenho que fazer é editar /etc/apt/sources.list com o repositório apropriado?
Sim. Mas versões mais antigas dos pacotes não são mantidas. Você precisa adicionar o repositório ou PPA que contém essa versão específica necessária. - Avinash Raj